<template>
    <div class="uk-width-expand@m">
        <button
            v-if="modifiable"
            class="uk-button uk-button-default uk-align-right uk-margin-small-top uk-margin-small"
            uk-toggle="target: #modal-conseil"
        >
            Créer
        </button>
        <h4 class="uk-heading-line conseil-header">
            <span>Conseils</span>
        </h4>

        <div id="modal-conseil" uk-modal>
            <div class="uk-modal-dialog uk-modal-body">
                <button class="uk-modal-close-default" type="button" uk-close />
                <h2 class="uk-modal-title">Créer un conseil</h2>
                <div uk-form-custom>
                    <input
                        class="uk-input"
                        type="text"
                        v-model="texteConseil"
                    />
                    <button
                        class="uk-button uk-button-default uk-modal-close"
                        @click="enregistrer"
                    >
                        Enregistrer
                    </button>
                </div>
            </div>
        </div>
        <div class="uk-margin-medium-top">
            <ul id="conseils" class="uk-list uk-list-striped">
                <Conseil
                    v-for="conseil in conseils"
                    :key="conseil.id"
                    :conseil="conseil"
                    :modifiable="modifiable"
                />
            </ul>
        </div>
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { Component, Prop } from 'vue-property-decorator';
import Conseil from './Conseil.vue';
import Axios from '@/auth/axiosAuth';

@Component({
    components: { Conseil }
})
export default class Conseils extends Vue {
    @Prop() conseils: any[];
    @Prop() eleveId: string;
    @Prop() modifiable: boolean;
    private texteConseil = '';

    public enregistrer() {
        const formData = new FormData();
        formData.append('clubId', this.$auth.user.idClub);
        formData.append('eleveId', this.eleveId);
        formData.append('libelle', this.texteConseil);
        Axios.post(
            'conseil/',
            response => {
                this.texteConseil = '';
                this.conseils.push(response.data);
            },
            formData
        );
    }
}
</script>

<style scoped>
.conseil-header {
    margin-top: 0;
}
</style>
